# -*- coding: utf-8 -*-
#
#  setup.py
#  cjktools
#

"""
Package setup file for the cjktools package.
"""

from setuptools import setup

VERSION = '1.6.0'

f = open('cjktools/__version__.py', 'w')
f.write('# Autogenerated by setup.py\n')
f.write('version = "%s"\n' % VERSION)
f.close()

setup(
    name='cjktools',
    description="A library for basic CJK processing and lexicography.",
    long_description="""
    Provides basic script detection, manipulation of kana and interfaces
    for the popular EDICT and KANJIDIC families of dictionaries.
    """,
    url="http://github.com/larsyencken/cjktools/",
    version=VERSION,
    author="Lars Yencken",
    author_email="lars@yencken.org",
    license="BSD",

    install_requires=['simplestats'],

    package_dir={'cjktools': 'cjktools'},
    packages=['cjktools', 'cjktools.resources'],
)
